
%define framework krunner
%define kf5krunner_major 5
%define libkf5krunner %mklibname kf5krunner %{kf5krunner_major}
%define kf5krunner_devel %mklibname kf5krunner -d

Summary:        Framework for providing different actions given a string query
Name:           %framework
Version: 		5.44.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://download.kde.org/stable/frameworks/5.18/portingAids/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  kconfig-devel 
BuildRequires:  kcoreaddons-devel 
BuildRequires:  ki18n-devel 
BuildRequires:  kauth-devel 
BuildRequires:  kcodecs-devel 
BuildRequires:  kguiaddons-devel 
BuildRequires:  kwidgetsaddons-devel 
BuildRequires:  kconfigwidgets-devel 
BuildRequires:  kitemviews-devel 
BuildRequires:  kiconthemes-devel 
BuildRequires:  kglobalaccel-devel 
BuildRequires:  kcompletion-devel 
BuildRequires:  kdbusaddons-devel 
BuildRequires:  kwindowsystem-devel 
BuildRequires:  sonnet-devel 
BuildRequires:  ktextwidgets-devel 
BuildRequires:  kxmlgui-devel 
BuildRequires:  kbookmarks-devel 
BuildRequires:  kjobwidgets-devel 
BuildRequires:  kio-devel 
BuildRequires:  kservice-devel 
BuildRequires:  plasma-framework-devel 
BuildRequires:  solid-devel 
BuildRequires:  threadweaver-devel 


%description
Framework for providing different actions given a string query

%files
/etc/xdg/krunner.categories
%_kf5_qmldir/org/kde/runnermodel
%_kf5_servicetypes/plasma-runner.desktop
%_kf5_datadir/kdevappwizard/templates/runner.tar.bz2
#--------------------------------------------------------------------
%_kf5_libdir/libKF5Runner.so.%{kf5krunner_major}*
#--------------------------------------------------------------------

%package -n %kf5krunner_devel

Summary:        Devel stuff for %framework
Group:          Development/Libraries
Requires:		%name
Provides:       %name-devel = %{version}-%{release}
Provides:       kf5-krunner-devel = %{version}-%{release}

%description -n %kf5krunner_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5krunner_devel
%_kf5_libdir/libKF5Runner.so
%_libdir/cmake/KF5Runner
%_kf5_includedir/KRunner
%_kf5_includedir/krunner_version.h
%_libdir/qt5/mkspecs/modules/qt_KRunner.pri
%{_datadir}/dbus-1/interfaces/kf5_org.kde.krunner1.xml
#--------------------------------------------------------------------

%prep
%setup -q


%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
rm -rf %buildroot
%makeinstall_std -C build



%changelog
* Sun Mar 11 2018 bb2 <bb2> - 5.44.0-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 5.43.0-1pclos2018
- new version

* Mon Jan 15 2018 bb2 <bb2> - 5.42.0-1pclos2018
- new version

* Sun Dec 10 2017 bb2 <bb2> - 5.41.0-1pclos2017
- new version

* Sat Dec 09 2017 bb2 <bb2> - 5.40.0-2pclos2017
- rebuild against updates

* Sat Nov 11 2017 bb2 <bb2> - 5.40.0-1pclos2017
- new version

* Sat Oct 14 2017 bb2 <bb2> - 5.39.0-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 5.38.0-1pclos2017
- new version

* Sun Aug 13 2017 bb2 <bb2> - 5.37.0-1pclos2017
- new version

* Sat Jul 08 2017 bb2 <bb2> - 5.36.0-1pclos2017
- new version

* Sat Jun 10 2017 bb2 <bb2> - 5.35.0-1pclos2017
- new version

* Tue Jun 06 2017 bb2 <bb2> - 5.34.0-2pclos2017
- rebuilt

* Sun May 14 2017 bb2 <bb2> - 5.34.0-1pclos2017
- new version

* Sun Apr 09 2017 bb2 <bb2> - 5.33.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 5.32.0-1pclos2017
- new version

* Sun Feb 12 2017 tex - 5.31.0-1pclos2017
- new version

* Mon Jan 16 2017 bb <bb> - 5.30.0-1pclos2017
- new version

* Thu Dec 15 2016 bb <bb> 5.29.0-2pclos2017
- use correct tarball

* Mon Dec 12 2016 bb <bb> 5.29.0-1pclos2017
- update

